commit:     be9c8c4c00da764de64327121b6049204cf28c02
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 29 04:15:30 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 04:17:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be9c8c4c

net-misc/ytfzf: add 2.4.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/ytfzf/Manifest           |  1 +
 net-misc/ytfzf/ytfzf-2.4.0.ebuild | 60 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-misc/ytfzf/Manifest b/net-misc/ytfzf/Manifest
index d9e72e31f0f4..0dd7c8619a4c 100644
--- a/net-misc/ytfzf/Manifest
+++ b/net-misc/ytfzf/Manifest
@@ -1 +1,2 @@
 DIST ytfzf-2.3.tar.gz 3249215 BLAKE2B 
963442379ea324aa6f7b4077df417815ec1e1822d1598029efd397e2a29996ae92aa2f18e67ec6f7fea16a5804d3a7875cec625be1f5f49eb35c85dc84f3a894
 SHA512 
a282f578459ec53e725d1089a5b5efb78dcc66684ce572d0318f6bfd6e222b706418c77eeeca34d4015ed2bae1cb54de10edaab36522d6012c2ac421796ef34b
+DIST ytfzf-2.4.0.tar.gz 3253168 BLAKE2B 
e25bd13c01f5b035378dd6657358bc2ec67ff29f1db42fc8c07f0f820252efa4e6da6342265ea4107ec3179d317ac9742646a641a1c9e4e2a84360b39df6bf3d
 SHA512 
9b66d8b56bb8a35baf04a5d34614882f8302e2f543d12182188438c50a76cca1182d7ac3a4a7a3d80d7c924478fd3af7968701e5d5ab8531a9d6f4ed5b731ece

diff --git a/net-misc/ytfzf/ytfzf-2.4.0.ebuild 
b/net-misc/ytfzf/ytfzf-2.4.0.ebuild
new file mode 100644
index 000000000000..aabfab731b1b
--- /dev/null
+++ b/net-misc/ytfzf/ytfzf-2.4.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Posix script to find and watch youtube videos from the terminal"
+HOMEPAGE="https://github.com/pystardust/ytfzf/";
+SRC_URI="https://github.com/pystardust/ytfzf/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal"
+
+# fzf/mpv/yt-dlp "can" be optfeatures depending on configuration, but depend
+# on them so it works as expected out-of-the-box while allowing to disable.
+RDEPEND="
+       app-misc/jq
+       net-misc/curl[ssl]
+       virtual/awk
+       !minimal? (
+               app-shells/fzf
+               media-video/mpv[lua]
+               net-misc/yt-dlp
+       )"
+
+src_prepare() {
+       default
+
+       sed -i "/^: ...YTFZF_SYSTEM_ADDON_DIR/s|/usr/local|${EPREFIX}/usr|" 
ytfzf || die
+}
+
+src_compile() { :; }
+
+src_install() {
+       local emakeargs=(
+               DESTDIR="${D}"
+               PREFIX="${EPREFIX}"/usr
+               DOCDIR="${EPREFIX}"/usr/share/doc/${PF}
+       )
+
+       emake "${emakeargs[@]}" addons doc install
+       einstalldocs
+
+       rm -r "${ED}"/usr/share/licenses || die
+}
+
+pkg_postinst() {
+       optfeature "external menu support" x11-misc/dmenu
+       optfeature "in-terminal thumbnails on X11" media-gfx/ueberzug
+       optfeature "desktop notifications" x11-libs/libnotify
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "Note that ${PN} supports many methods to display 
menus/thumbnails."
+               elog "This ebuild primarily covers defaults and major features, 
additional"
+               elog "dependencies may be needed for others."
+       fi
+}

Reply via email to